package p24_pliki;

import java.io.FileNotFoundException;
import java.io.PrintWriter;
import java.time.LocalTime;

public class Zapis2 {
    public static void main(String[] args) {
        LocalTime now = LocalTime.now();
        System.out.println(now);
        int sekunda = now.getSecond() % 10;
        System.out.println("Sekunda: " + sekunda);

        try {
            PrintWriter out = new PrintWriter("out/zapis2.txt");
            out.println("Ala ma kota");
            out.println("Ola ma psa");
            out.println("Odczyt czasu: " + now);
            out.println("Sekunda: " + sekunda);
            out.println("Wynik dzielenia: " + (100 / sekunda));
            out.println("Ela ma chomika");
            out.println("Koniec");
            out.close();
            // Tak pisany close nie gwarantuje poprawnego zamknięcia pliku.
            // Jeśli we wcześniejszych liniach dojdzie do wyjątku (tutaj: dzielenie przez zero)
            // to plik nie zostanie zamknięty: utrata danych, wyciek zasobów...

            System.out.println("Gotowe");
        } catch (FileNotFoundException e) {
            throw new RuntimeException(e);
        }
    }
}
